Skip to main content
GET
/
quotes
List quotes
curl --request GET \
  --url https://api.deframe.io/quotes \
  --header 'x-api-key: <api-key>'
{
  "docs": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "quoteId": "550e8400-e29b-41d4-a716-446655440000",
      "originChain": "ethereum",
      "destinationChain": "polygon",
      "tokenIn": {
        "contract": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "symbol": "USDC",
        "decimals": 6,
        "amount": "1000000",
        "chainId": 1
      },
      "tokenOut": {
        "contract": "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
        "symbol": "USDC",
        "decimals": 6,
        "amount": "998500",
        "chainId": 137
      },
      "provider": "teleswap",
      "deadline": "2024-01-20T12:30:00.000Z"
    }
  ],
  "totalDocs": 123,
  "page": 123,
  "limit": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Deframe dashboard.

Query Parameters

originChain
string
destinationChain
string
provider
string
page
string
default:1
limit
string
default:10

Response

200 - application/json

Quotes retrieved successfully

docs
object[]
required
totalDocs
number
required
page
number
required
limit
number
required